using System;
class spojler
{
    static void Main()
    {
        string[] prva=Console.ReadLine().Split();
        int n=int.Parse(prva[0]);
        int m=int.Parse(prva[1]);
        int r;
        r=2*n+2*(m-2)+(m-2)/2*(n-2);
        Console.WriteLine(r);
    }
}